Package org.eclipse.gef.fx.anchors

## Class OrthogonalProjectionStrategy

- java.lang.Object
- - org.eclipse.gef.fx.anchors.ProjectionStrategy
  - - org.eclipse.gef.fx.anchors.OrthogonalProjectionStrategy

All Implemented Interfaces:
  `IComputationStrategy`

    public class OrthogonalProjectionStrategy
    extends ProjectionStrategy

An `IComputationStrategy` that computes anchor position by orthogonally projecting the respective anchored reference point to the outline of the anchorage reference geometry so that the respective point has minimal distance to the anchored reference point and resembles the same x- (vertical projection) or y-coordinate (horizontal projection).

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.fx.anchors.IComputationStrategy

`IComputationStrategy.Parameter<T>`

### Constructor Summary

Constructors
`OrthogonalProjectionStrategy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Point` `computeProjectionInScene​(java.util.List<ICurve> anchorageOutlinesInScene, Point anchoredReferencePointInScene, java.util.Set<IComputationStrategy.Parameter<?>> parameters)` Computes the anchorage reference position in scene coordinates, based on the given anchorage outlines and the given anchored reference point.
`java.util.Set<java.lang.Class<? extends IComputationStrategy.Parameter<?>>>` `getRequiredParameters()` Returns the types of parameters required by this strategy.

### Methods inherited from class org.eclipse.gef.fx.anchors.ProjectionStrategy

`computePositionInScene, getOutlineSegments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OrthogonalProjectionStrategy

    public OrthogonalProjectionStrategy()

### Method Detail

#### computeProjectionInScene

    protected Point computeProjectionInScene​(java.util.List<ICurve> anchorageOutlinesInScene,
                                             Point anchoredReferencePointInScene,
                                             java.util.Set<IComputationStrategy.Parameter<?>> parameters)

Description copied from class: `ProjectionStrategy`
Computes the anchorage reference position in scene coordinates, based on the given anchorage outlines and the given anchored reference point.

Overrides:
  `computeProjectionInScene` in class `ProjectionStrategy`
Parameters:
  `anchorageOutlinesInScene` - A list of `ICurve`s that describe the outline of the anchorage.
  `anchoredReferencePointInScene` - The reference `Point` of the anchored for which the anchorage reference `Point` is to be determined.
  `parameters` - The parameters available for the computation.
Returns:
  The anchorage reference position.

#### getRequiredParameters

    public java.util.Set<java.lang.Class<? extends IComputationStrategy.Parameter<?>>> getRequiredParameters()

Description copied from interface: `IComputationStrategy`
Returns the types of parameters required by this strategy.

Specified by:
  `getRequiredParameters` in interface `IComputationStrategy`
Overrides:
  `getRequiredParameters` in class `ProjectionStrategy`
Returns:
  The parameters required by this strategy.